# Importeer Adafruit DHT bibliotheek.
import Adafruit_DHT
# Importeer bibliotheek voor systeemfuncties.
import sys
# Importeer bibliotheek voor tijdfuncties.
import time
# Importeer bibliotheek voor CSV functies.
import csv

# Definieer variabelen.
DY = time.strftime("%Y")
DM = time.strftime("%m")
DD = time.strftime("%d")
TH = time.strftime("%H")
TM = time.strftime("%M")

# Commandolijn parameters verwerken.
sensor_args = { '11': Adafruit_DHT.DHT11,
                '22': Adafruit_DHT.DHT22,
                '2302': Adafruit_DHT.AM2302 }
if len(sys.argv) == 3 and sys.argv[1] in sensor_args:
  sensor = sensor_args[sys.argv[1]]
  pin = sys.argv[2]

humidity, temperature = Adafruit_DHT.read_retry(sensor, pin)

humidity = round(humidity, 2)
temperature = round(temperature, 2)

if humidity is not None and temperature is not None:
  print 'Temperatuur = {0:0.1f}*C  Luchtvochtigheid={1:0.1f}%'.format(temperature, humidity)
else:
  print 'Kan de sensor niet uitlezen!'

data = [DY, DM, DD, TH, TM, humidity, temperature]
# Sla gegevens op in een bestand (per maand) in DHT_DATA_[YYYY]_[MM].csv
csvfile = "DHT_DATA_" + DY + DM + ".csv"

# Open het csv bestand en schijf door achter de bestaande inhoud.
with open(csvfile, "a") as output:
  writer = csv.writer(output, delimiter=";", lineterminator='\n')
  writer.writerow(data)

